Bug 107089

Summary: Introduce isHTMLTextFormControlElement and toHTMLTextFormControlElement instead of toTextFormControl
Product: WebKit Reporter: Shinya Kawanaka <shinyak>
Component: DOMAssignee: Shinya Kawanaka <shinyak>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, eric, mifenton, ojan.autocc, tkent, webkit-ews, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 106533    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Shinya Kawanaka 2013-01-16 20:45:25 PST
This is a follow-up bug for Bug 106533.

It seems no one didn't ensure Position of enclosingTextFormControl() points ShadowDOM in input or textarea.
We would like to have some ASSERT or something.
Comment 1 Shinya Kawanaka 2013-01-17 20:33:38 PST
toTextFormControl() returns 0 if it's not TextFormControl.

I don't think this function aligns recent coding convention...
It would be better to rewrite it.
Comment 2 Shinya Kawanaka 2013-01-17 20:42:42 PST
Created attachment 183360 [details]
Patch
Comment 3 Early Warning System Bot 2013-01-17 20:49:09 PST
Comment on attachment 183360 [details]
Patch

Attachment 183360 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/15943318
Comment 4 Early Warning System Bot 2013-01-17 21:46:27 PST
Comment on attachment 183360 [details]
Patch

Attachment 183360 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/15943349
Comment 5 Shinya Kawanaka 2013-01-17 21:52:15 PST
Ah some WebKit ports uses toTextFormControl()... :-(
Comment 6 Shinya Kawanaka 2013-01-17 22:16:52 PST
Created attachment 183375 [details]
Patch
Comment 7 Early Warning System Bot 2013-01-17 22:30:09 PST
Comment on attachment 183375 [details]
Patch

Attachment 183375 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/15946266
Comment 8 Early Warning System Bot 2013-01-17 22:33:49 PST
Comment on attachment 183375 [details]
Patch

Attachment 183375 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/15937548
Comment 9 Shinya Kawanaka 2013-01-17 23:12:27 PST
Created attachment 183383 [details]
Patch
Comment 10 Kent Tamura 2013-01-18 00:58:14 PST
Comment on attachment 183383 [details]
Patch

Looks ok.
Please watch buildbots especially GTK bots after landing this.
Comment 11 WebKit Review Bot 2013-01-18 16:14:20 PST
Comment on attachment 183383 [details]
Patch

Clearing flags on attachment: 183383

Committed r140215: <http://trac.webkit.org/changeset/140215>
Comment 12 WebKit Review Bot 2013-01-18 16:14:24 PST
All reviewed patches have been landed.  Closing bug.